aboutsummaryrefslogtreecommitdiff
path: root/net
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-12-02 23:09:35 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-12-02 23:09:35 +0000
commit7b435b9e24bdc4e027adb9fa66d2de0b58202e05 (patch)
treec90796a63e8d648a1725a3b95baaf4dc3fa5c689 /net
parent600d92de2f48e0755ccceb010f5233778c861063 (diff)
downloadslackbuilds-7b435b9e24bdc4e027adb9fa66d2de0b58202e05.tar.gz
slackbuilds-7b435b9e24bdc4e027adb9fa66d2de0b58202e05.tar.bz2
removendo echos dos slackbuilds e corrigindo chamadas de erros
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@747 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net')
-rwxr-xr-xnet/im/skype/skype.SlackBuild28
1 files changed, 4 insertions, 24 deletions
diff --git a/net/im/skype/skype.SlackBuild b/net/im/skype/skype.SlackBuild
index b3d12d31..fe6eb5b1 100755
--- a/net/im/skype/skype.SlackBuild
+++ b/net/im/skype/skype.SlackBuild
@@ -47,24 +47,13 @@ URL=${URL:="http://www.skype.com/go/getskype-linux-static"}
SOURCE=$SRC_DIR/$PACKAGE/$SRC
# Verifica existência do pacote em $SRC em $SRC_DIR
if [ ! -e $SOURCE ]; then
- echo -e "\n\n\033[01;32m Download $SRC \n\033[m"
- wget "$URL" -P "$SRC_DIR/$PACKAGE/"
- # Verifica se o
- if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
- exit $ERROR_WGET
- fi
+ wget "$URL" -P "$SRC_DIR/$PACKAGE/" || exit $ERROR_WGET
fi
# ------------------ Checa md5sum -----------------------
if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
SUM=`md5sum $SOURCE | awk '{print $1}'`
- if [ "$SUM" != "$MD5" ]; then
- echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
- echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
- exit $ERROR_MD5
- fi
- echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
+ [ "$SUM" != "$MD5" ] && exit $ERROR_MD5
fi
# -------------- Desempacota fontes ---------------------
@@ -73,11 +62,7 @@ PKG=$TMP/$PACKAGE
rm -rf $PKG 2>/dev/null
mkdir -p $PKG/opt
# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG/opt
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
- exit $ERROR_TAR
-fi
+tar xvf $SOURCE -C $PKG/opt || exit $ERROR_TAR
mkdir -p $PKG/usr/share/applications/
cd $PKG/opt/
@@ -137,14 +122,9 @@ mkdir -p $PKG_DOC
cp $SKYPE_DIR/{LICENSE,README} $PKG_DOC
# --------------- Constroi o pacote ---------------------
-echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-if [ $? -ne 0 ]; then
- exit $ERROR_MKPKG
-fi
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
# ----------- Remove arquivos temporários ---------------
if [ "$CLEANUP" = "yes" ]; then
- echo -e "\n\n\033[01;32m Remove files... \n\033[m"
rm -rf $PKG $PKG_SRC
fi